org.eclipse.eef.impl

## Class EEFDynamicMappingForImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.eef.impl.EEFControlDescriptionImpl
          - - org.eclipse.eef.impl.EEFDynamicMappingForImpl

All Implemented Interfaces:
  EEFControlDescription, EEFDynamicMappingFor, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject

    public class EEFDynamicMappingForImpl
    extends EEFControlDescriptionImpl
    implements EEFDynamicMappingFor

An implementation of the model object 'EEF Dynamic Mapping For'.

The following features are implemented:

- `Iterator`
- `Iterable Expression`
- `Ifs`

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

### Field Summary

Fields
`protected org.eclipse.emf.common.util.EList<EEFDynamicMappingIf>` `ifs` The cached value of the '`Ifs`' containment reference list.
`protected static java.lang.String` `ITERABLE_EXPRESSION_EDEFAULT` The default value of the '`Iterable Expression`' attribute.
`protected java.lang.String` `iterableExpression` The cached value of the '`Iterable Expression`' attribute.
`protected java.lang.String` `iterator` The cached value of the '`Iterator`' attribute.
`protected static java.lang.String` `ITERATOR_EDEFAULT` The default value of the '`Iterator`' attribute.

### Fields inherited from class org.eclipse.eef.impl.EEFControlDescriptionImpl

`identifier, IDENTIFIER_EDEFAULT`

### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eContainer`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

`NIL`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

### Constructor Summary

Constructors
`protected` `EEFDynamicMappingForImpl()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`org.eclipse.emf.common.util.EList<EEFDynamicMappingIf>` `getIfs()`
`java.lang.String` `getIterableExpression()`
`java.lang.String` `getIterator()`
`void` `setIterableExpression(java.lang.String newIterableExpression)`
`void` `setIterator(java.lang.String newIterator)`
`java.lang.String` `toString()`

### Methods inherited from class org.eclipse.eef.impl.EEFControlDescriptionImpl

`getIdentifier, setIdentifier`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eBasicSetContainer, eInternalContainer`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetDirectResource, eSetProxyURI, eSettings`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.eef.EEFControlDescription

`getIdentifier, setIdentifier`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Field Detail

#### ITERATOR_EDEFAULT

    protected static final java.lang.String ITERATOR_EDEFAULT

The default value of the '`Iterator`' attribute.

See Also:
  `getIterator()`

#### iterator

    protected java.lang.String iterator

The cached value of the '`Iterator`' attribute.

See Also:
  `getIterator()`

#### ITERABLE_EXPRESSION_EDEFAULT

    protected static final java.lang.String ITERABLE_EXPRESSION_EDEFAULT

The default value of the '`Iterable Expression`' attribute.

See Also:
  `getIterableExpression()`

#### iterableExpression

    protected java.lang.String iterableExpression

The cached value of the '`Iterable Expression`' attribute.

See Also:
  `getIterableExpression()`

#### ifs

    protected org.eclipse.emf.common.util.EList<EEFDynamicMappingIf> ifs

The cached value of the '`Ifs`' containment reference list.

See Also:
  `getIfs()`

### Constructor Detail

#### EEFDynamicMappingForImpl

    protected EEFDynamicMappingForImpl()

### Method Detail

#### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

Overrides:
  `eStaticClass` in class `EEFControlDescriptionImpl`

#### getIterator

    public java.lang.String getIterator()

Specified by:
  `getIterator` in interface `EEFDynamicMappingFor`
Returns:
  the value of the 'Iterator' attribute.
See Also:
  `EEFDynamicMappingFor.setIterator(String)`, `EefPackage.getEEFDynamicMappingFor_Iterator()`

#### setIterator

    public void setIterator(java.lang.String newIterator)

Specified by:
  `setIterator` in interface `EEFDynamicMappingFor`
Parameters:
  `newIterator` - the new value of the 'Iterator' attribute.
See Also:
  `EEFDynamicMappingFor.getIterator()`

#### getIterableExpression

    public java.lang.String getIterableExpression()

Specified by:
  `getIterableExpression` in interface `EEFDynamicMappingFor`
Returns:
  the value of the 'Iterable Expression' attribute.
See Also:
  `EEFDynamicMappingFor.setIterableExpression(String)`, `EefPackage.getEEFDynamicMappingFor_IterableExpression()`

#### setIterableExpression

    public void setIterableExpression(java.lang.String newIterableExpression)

Specified by:
  `setIterableExpression` in interface `EEFDynamicMappingFor`
Parameters:
  `newIterableExpression` - the new value of the 'Iterable Expression' attribute.
See Also:
  `EEFDynamicMappingFor.getIterableExpression()`

#### getIfs

    public org.eclipse.emf.common.util.EList<EEFDynamicMappingIf> getIfs()

Specified by:
  `getIfs` in interface `EEFDynamicMappingFor`
Returns:
  the value of the 'Ifs' containment reference list.
See Also:
  `EefPackage.getEEFDynamicMappingFor_Ifs()`

#### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `EEFControlDescriptionImpl`

#### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `EEFControlDescriptionImpl`

#### eUnset

    public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `EEFControlDescriptionImpl`

#### eIsSet

    public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `EEFControlDescriptionImpl`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `EEFControlDescriptionImpl`